For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Go to app
DocumentationAPI Reference
DocumentationAPI Reference
  • API Reference
    • Introduction
    • Users
    • Taskflow
    • AI Task Builder
    • Studies
    • Representative sample studies
    • study-collections
    • Filter Sets
    • Participant Groups
    • Custom Groups
    • Study Distribution
    • Submissions
    • Bonuses
      • POSTSet up bonuses
      • POSTPay bonuses
    • Messages
    • Workspaces
    • Projects
    • Surveys
    • Webhooks
    • Invitations
    • Reward Recommendations
    • Testing
    • Well Known Endpoints
Go to app
LogoLogo
API ReferenceBonuses

Pay bonuses

|View as Markdown|Open in Claude|
POST
https://api.prolific.com/api/v1/bulk-bonus-payments/:id/pay/
POST
/api/v1/bulk-bonus-payments/:id/pay/
$curl -X POST https://api.prolific.com/api/v1/bulk-bonus-payments/id/pay/ \
> -H "Authorization: Token <token>" \
> -H "Content-Type: application/json" \
> -d '{}'
1"Bulk bonus payment with ID 8f14e45f-ceea-4d3a-9f2b-1a2b3c4d5e6f is being processed asynchronously. Payments will be completed shortly."
Bonus payments are made asynchronously. The payment will be done in the following minutes and your balance will be updated accordingly. <Warning> This endpoint is **not idempotent**. Sending multiple requests with the same bulk bonus payment ID will result in participants being paid multiple times. Ensure you send this request only once per bulk payment. </Warning>
Was this page helpful?
Previous

Set up bonuses

Next

Messages

Bonus payments are made asynchronously. The payment will be done in the following minutes and your balance will be updated accordingly.

This endpoint is not idempotent. Sending multiple requests with the same bulk bonus payment ID will result in participants being paid multiple times. Ensure you send this request only once per bulk payment.

Authentication

AuthorizationToken

The Prolific API uses API token to authenticate requests. You can create an API token directly from your settings.

Your API token does not have an expiry date and carries full permission, so be sure to keep them secure.

If your token is leaked, delete it and create a new one directly in the app.

In your requests add Authorization header with the value Token <your token>.

Path parameters

idstringRequired
Bulk bonus payment id

Response

Successfully received bonus payments request. The bonuses will be paid asynchronously.

Errors

4XX
Client Request Error